@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300..700&display=swap');

:root{
    /*Paleta de Cores*/
    --principal: #FEF9E6;
    --secundaria: #02232C;
    --preto: #333;
    --azul: #5CCAC4;
    --vermelho: #FE5E48;
    

    /*Tipografia*/
    --font-family: "Quicksand", sans-serif;

    /*--elemento-atributo-plataforma(d = desktop|m = mobile)*/
    --title-weight: <600>;
    --titleG-size-d: 2.5rem;
    --titleM-size-d: 2rem;
    --titleP-size-d: 1.5rem;
    --titleG-size-m: 2rem;
    --titleM-size-m: 1.5rem;
    --text-weight: <400>;
    --text-size-d: 1rem;
    --text-size-m: 0.8rem;
    --link-size-d: 1.2rem; /*Tamanho do texto dos botões - desktop*/
    --link-size-m: 1rem; /*Tamanho do texto dos botões - mobile*/
}
/*Algumas definições gerais*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: var(--principal);
}

label {
    font-family: var(--font-family);
    font-weight: var(--title-weight);
    color: var(--preto);
}

h1 {
    font-family: var(--font-family);
    font-weight: var(--title-weight);
    font-size: var(--titleG-size-d);
    color: var(--preto);
}

h2 {
    font-family: var(--font-family);
    font-weight: var(--title-weight);
    font-size: var(--titleM-size-d);
    color: var(--preto);
}

h3 {
    font-family: var(--font-family);
    font-weight: var(--title-weight);
    font-size: var(--titleP-size-d);
    color: var(--preto); 
}

p {
    font-family: var(--font-family);
    color: var(--preto);
    padding: 10px 0;
    margin: 0;
}

.expand-on-hover { transition: 0.3s; }
.expand-on-hover:hover { transform: scale(1.1); }

/*HEADER*/
nav {
    background-color: var(--secundaria);
}

.nav-link {
    padding: 1em;
    font-family: var(--font-family);
    color: var(--principal);
}

.nav-link:hover {
    color: var(--azul);
}

.navbar-nav .nav-link.active {
    color: var(--azul);
    text-decoration: underline;
}

.navbar-toggler {
    background-color: var(--principal);
}

.navbar-toggler-icon {
    color: var(--secundaria);
}

.logo {
    width: 80px;

}

.btn-primary.cadastro {
    background-color: var(--azul);
    border-color: var(--azul);
}

.btn.login:hover {
    background-color: var(--azul);
    color: var(--principal);
}
/*FIM HEADER*/





#account-button {
    position: relative;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    overflow: hidden;
    cursor: pointer;
    transition: 0.3s;
}

#account-button:hover {
    transform: scale(1.2);
}

#account-button img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#account #account-menu {
    position: absolute;
    top: 100px;
    right: 10px;
    padding: 10px 20px;
    background: #fff;
    width: 215px;
    box-sizing: 0 5px 25px rgba(0, 0, 0, 0.1);
    border-radius: 15px;
    visibility: hidden;
    opacity: 0;
    transition: visibility 300ms linear, opacity 300ms linear;
    z-index: 1;
}

#account-menu svg { fill: #0d6efd; }

#account #account-menu.active {
    visibility: visible;
    opacity: 1;
}

#account #account-menu::before {
    content: "";
    position: absolute;
    top: -5px;
    right: 28px;
    width: 20px;
    height: 20px;
    background: #fff;
    transform: rotate(45deg);
}

#account #account-menu h3 {
    width: 100%;
    text-align: center;
    font-size: 18px;
    padding: 20px 0;
    font-weight: 500;
    font-size: 18px;
    color: #555;
    line-height: 1.2em;
}

#account #account-menu h3 span {
    font-size: 14px;
    color: #cecece;
    font-weight: 400;
}

#account #account-menu ul li {
    list-style: none;
    padding: 10px 0;
    border-top: 1px solid rgba(0, 0, 0, 0.05);
    display: flex;
    align-items: center;
}

#account #account-menu ul li img {
    width: 20px;
    max-width: 20px;
    margin-right: 10px;
    opacity: 0.5;
    transition: opacity 300ms linear;
}

#account #account-menu ul li:hover img {
    opacity: 1;
}

#account #account-menu ul li a {
    display: inline-block;
    text-decoration: none;
    color: #555;
    font-weight: 500;
    transition: color 300ms linear;
}

#account #account-menu ul li:hover a {
    color: #0d6efd;
}